using System;
using System.Collections.Generic;
using System.Text;

using SharedLibrary;

namespace SimpleRemoting
{
   public class HostedObject : MarshalByRefObject, ISharedObject
   {
      public void PrintMessage(string msg)
      {
         Console.WriteLine("Wiadomość wyświetlona w domenie aplikacji: " +
            AppDomain.CurrentDomain.FriendlyName);
         Console.WriteLine("Treść wiadomości: " + msg);
      }
   }
}
